summaryrefslogtreecommitdiff
path: root/tests/ocsp-tests/ocsp-tls-connection
diff options
context:
space:
mode:
Diffstat (limited to 'tests/ocsp-tests/ocsp-tls-connection')
-rwxr-xr-xtests/ocsp-tests/ocsp-tls-connection6
1 files changed, 5 insertions, 1 deletions
diff --git a/tests/ocsp-tests/ocsp-tls-connection b/tests/ocsp-tests/ocsp-tls-connection
index 580743a9c1..8a73f98650 100755
--- a/tests/ocsp-tests/ocsp-tls-connection
+++ b/tests/ocsp-tests/ocsp-tls-connection
@@ -30,6 +30,10 @@ DIFF="${DIFF:-diff}"
TEMPLATE_FILE="out.$$.tmpl.tmp"
SERVER_CERT_FILE="cert.$$.pem.tmp"
+if ! test -z "${VALGRIND}"; then
+ VALGRIND="${LIBTOOL:-libtool} --mode=execute ${VALGRIND} --error-exitcode=15"
+fi
+
export TZ="UTC"
. "${srcdir}/../scripts/common.sh"
@@ -114,7 +118,7 @@ t=0
while test "${t}" -lt "${SERVER_START_TIMEOUT}"; do
# Run a test request to make sure the server works
datefudge "${TESTDATE}" \
- "${OCSPTOOL}" --ask \
+ ${VALGRIND} "${OCSPTOOL}" --ask \
--load-cert "${SERVER_CERT_FILE}" \
--load-issuer "${srcdir}/certs/ca.pem"
rc=$?